program webu;

uses
  Forms,
  main in 'main.pas' {MainForm},
  showbigtext in 'showbigtext.pas' {frmShowBigText},
  feeds in 'feeds.pas' {frmFeeds},
  LibXmlParser in '..\common\xmlparser\LibXmlParser.pas',
  utils in '..\common\utils.pas',
  pagefound in 'pagefound.pas' {frmPageFound},
  linklabel in '..\common\linklabel.pas',
  stringmap in '..\common\stringmap.pas',
  multiplepagesfound in 'multiplepagesfound.pas' {frmMultiplePagesFound},
  compmap in '..\common\compmap.pas',
  shortintmap in '..\common\shortintmap.pas',
  pagemonitor in 'pagemonitor.pas' {frmPageMonitor},
  spider in 'spider.pas' {frmSpider},
  splashscreen in 'splashscreen.pas' {frmSplashScreen};

{$R *.RES}


begin
  frmSplashScreen := TfrmSplashScreen.create(application);
  frmSplashScreen.show;
  frmSplashScreen.update;
  Application.Initialize;
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TfrmFeeds, frmFeeds);
  frmFeeds.setOwner(MainForm);
  MainForm.Initialise;
  // frmSplashScreen.Hide;
  // frmSplashScreen.Free;
  Application.Run;
end.
